Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.qare.qhome.pending
Class CPending

    java.lang.Object
      |
      +--com.jxml.qare.qhome.Template
            |
            +--com.jxml.qare.qhome.pending.CPending

All Implemented Interfaces:
  Item

public class CPending
extends Template

Field Summary
`String` | `action`
`DBApplication.Row` | `application`
`static int` | `APPLICATION`
`DBApplication.Row` | `applicationRow`
`String` | `check`
`String[]` | `checklist`
`String` | `closeAll`
`int` | `colNdx`
`String` | `columnHeading`
`String[]` | `columnNames`
`Iterator` | `itr`
`List` | `keyList`
`static int` | `MESSAGE`
`MkUrl` | `mkurl`
`String` | `munge`
`List` | `order`
`String` | `orderStr`
`DBPendingMessage.Row` | `pendingRow`
`int` | `pHeading`
`ArrayList` | `pm`
`DBQList` | `qList`
`String` | `selectedApplication`
`String` | `selectedSession`
`String` | `selectedSystem`
`DBSession.Row` | `sessionRow`
`PendingState` | `state`
`DBSystem.Row` | `system`
`static int` | `SYSTEM_NAME`
`DBSystem.Row` | `systemRow`
`String` | `time`
`DBUser.Row` | `user`

Fields inherited from class com.jxml.qare.qhome.Template
`properties, sb`

Constructor Summary
`CPending()`

Method Summary
`void` | `eval(Map properties, List args, ClassLoader cl)` Evaluates the properties with the list of argumants
`String` | `process(String arg)`

Methods inherited from class com.jxml.qare.qhome.Template
`expand, expandProperty, expandURL, init, readURL, redirectToAppDir, redirectToDelegationDisplay, redirectToLogin, redirectToRemoteAccountDisplay`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### APPLICATION

    public static final int APPLICATION

### SYSTEM_NAME

    public static final int SYSTEM_NAME

### MESSAGE

    public static final int MESSAGE

### columnNames

    public String[] columnNames

### sessionRow

    public DBSession.Row sessionRow

### pendingRow

    public DBPendingMessage.Row pendingRow

### user

    public DBUser.Row user

### systemRow

    public DBSystem.Row systemRow

### system

    public DBSystem.Row system

### applicationRow

    public DBApplication.Row applicationRow

### application

    public DBApplication.Row application

### pm

    public ArrayList pm

### order

    public List order

### keyList

    public List keyList

### state

    public PendingState state

### mkurl

    public MkUrl mkurl

### action

    public String action

### time

    public String time

### closeAll

    public String closeAll

### selectedSession

    public String selectedSession

### check

    public String check

### columnHeading

    public String columnHeading

### orderStr

    public String orderStr

### checklist

    public String[] checklist

### munge

    public String munge

### selectedApplication

    public String selectedApplication

### selectedSystem

    public String selectedSystem

### pHeading

    public int pHeading

### colNdx

    public int colNdx

### itr

    public Iterator itr

### qList

    public DBQList qList

Constructor Detail

### CPending

    public CPending()

Method Detail

### eval

    public void eval(Map properties,
                     List args,
                     ClassLoader cl)
              throws Exception

  Description copied from class: `Template`
  Evaluates the properties with the list of argumants
  Overrides:
    `eval` in class `Template`
  Following copied from class: `com.jxml.qare.qhome.Template`
  Parameters:
    `properties` - Contains the data in the form of name,value pair.
    `args` - Template name present in properties.
    `cl` - class to be loaded for individual plugins.

### process

    public String process(String arg)
                   throws Exception

  Overrides:
    `process` in class `Template`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD